<div class="mat-dialog-content">
    <div style="display: flex; justify-content: space-between;">
        <h1 mat-dialog-title class="title-sign" style="height: 100% !important; display: flex; align-items: center !important;">Sign your compliant service description</h1>
        
        <div style="display: flex; align-items: end;">
            <button mat-icon-button (click)="onClose()">
                <mat-icon>close</mat-icon>
            </button>
        </div>
    </div>

    <div class="container">
        <div class="signChoose">
            <div class="mat-dialog-content" *ngIf="signatureMethod === ''">
                <div class="step-1">
                    <div class="button-row">
                        <button mat-flat-button type="button" class="vc-download" (click)="VPsignature()">
                            Sign the whole Verifiable Presentation
                        </button>
                        <div class="vertical-divider"></div>
                        <button mat-flat-button type="button" class="vc-download" (click)="eachVCsignature()">
                            Sign each Verfiable Credential first
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="signChoose" *ngIf="signatureMethod === 'VP'">
            <div class="step-1">
                <div class="step-1-title">
                    <h2>1.</h2>
                    <h3>Download the verifiable
                        presentation of your service description.</h3>
                    <p> (JSON)</p>
                </div>
                <button mat-flat-button type="button" class="vp-button" (click)="downloadVPwithoutSignatures()">Download
                    verifiable
                    presentation <mat-icon>download</mat-icon></button>
            </div>
            <div class="step-2">
                <div class="step-2-title">
                    <h2>2.</h2>
                    <h3>Upload the verifiable
                        presentation signed with your cryptographic key signing
                        device.</h3>
                </div>
                <div ><app-file-upload acceptedType=".json" acceptedTypeName=".json"
                        (submittedFile)="updateVP($event)"></app-file-upload></div>
            </div>
            <div class="button-div">
                <button style="float:right;" mat-flat-button color="primary" [disabled]='!this.VPFile' class="vp-button"
                    (click)="submitSignedDoc()">Submit signed document</button>
            </div>
        </div>
        <div *ngIf="signatureMethod === 'VC'">
            <div class="info">
                <div class="info-title">
                    <mat-icon>help</mat-icon>
                    All Verifiable Credentials must be signed before signing the final Verifiable Presentation
                </div>
            </div>
            <div class="step-1">
                <div class="step-1-title">
                    <h2>1.</h2>
                    <h3>Download the verifiable credentials of your service description.</h3>
                </div>
                <ng-container *ngFor="let credential of VClists; let i = index">
                    <div class="button-row">
                        <button mat-flat-button type="button" class="vc-download" (click)="downloadVC(i)">
                            {{ getPresentationType(credential.vc) }}
                            <mat-icon>download</mat-icon>
                        </button>
                        <div class="upload"><app-file-upload acceptedType=".json" acceptedTypeName=".json"
                                (submittedFile)="updateVC($event, i)" message="Verifiable Credential"></app-file-upload>
                        </div>

                        <div class="vertical-divider"></div>
                        <button mat-flat-button type="button" class="signatureStatus"
                            [ngStyle]="{'background': getButtonColor(VClists[i].status)}" disabled>
                            {{VClists[i].status}}
                        </button>

                    </div>
                </ng-container>
            </div>
            <div class="step-2" *ngIf="allVCsSigned()">
                <div class="step-2-title">
                    <h2>2.</h2>
                    <h3>Download the VP containing your signed VCs</h3>
                </div>
                <div>
                    <button mat-flat-button type="button" class="finalVP-download" (click)="downloadFinalVP()">
                        Your Verifiable Presentation contains the above Verifiable Credentials you have signed.
                        <mat-icon>download</mat-icon>
                    </button>
                </div>
            </div>
            <div class="step-2" *ngIf="allVCsSigned()">
                <div class="step-2-title">
                    <h2>3.</h2>
                    <h3>Upload the verifiable
                        presentation signed with your cryptographic key signing
                        device.</h3>
                </div>
                <div><app-file-upload acceptedType=".json" acceptedTypeName=".json"
                        (submittedFile)="updateVP($event)"></app-file-upload></div>
            </div>
            <div class="button-div">
                <button style="float:right;" mat-flat-button color="primary" [disabled]='!this.VPFile' class="vp-button"
                    (click)="submitSignedDoc()">Submit signed document</button>
            </div>
        </div>
    </div>

</div>
